%define name abuledu-aller
%define version 2.0.0
%define release 1
%define execname aller.tcl
%define execpublicname aller
%define abuledu_dest /usr/share/abuledu/applications

Summary: Aller: Apprendre La Lecture en Rseau
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3, abuledu-leterrier >= 0.2

%description
Le logiciel se compose d'un diteur qui permet de crer ou de modifier des exercices et de diffrents modules d'exercices : closure, reconstitution ... que l'on peut paramtrer grce au menu "rglages".

Pour pouvoir utiliser les exercices, il suffit de possder ou de crer des fichiers de texte (extension .txt). A partir de ces fichiers, le logiciel calcule pour chaque exercice des donnes spcifiques.

Grce  l'diteur, on peut saisir d'autres textes, ou importer des textes au format .txt.
Les menus "Marquer" permettent alors de choisir les mots ou les phrases ou les groupes qui dans les diffrents exercices seront alors utiliss.
Les fichiers ouvert dans l'diteur seront ensuite enregistrs dans le format ".alr".
Pour marquer un mot ou un groupe, il suffit de le selectionner avec la souris, ou en doublecliquant sur le mot.
De mme, pour le dmarquer, on le slectionne et on clique ensuite avec le bouton droit de la souris.

Les exercices supplmentaires de 1  4 sont  creer entirement, et ne sont visibles dans le menu de la fentre d'accueil que s'ils ont t cres au pralable.
On peut ainsi travailler dans des domaines plus prcis : structures grammaticales, conjugaison, orthographe. Ce logiciel ouvert permet galement d'autres activits, dont les scnarios restent  inventer

Contacts : davidlucardi@aol.com herve.baronnet@free.fr et andre.connes@toulouse.iufm.fr et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.install *.htm
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(777, root, root) /var/leterrier/%{execpublicname}

%changelog
* Mon Oct 27 2003 Eric Seigne <erics@ryxeo.com> 2.0.0-1
- tests pour le systme de log avec les droits "ad hoc"
- nouvelle version d'allee
- version 2.0.0

* Sat Feb 15 2003 Eric Seigne <erics@music.rycks-local.com> 1.1.0-1
- version 1.1

* Tue Dec 10 2002 Eric Seigne <erics@music.rycks-local.com> 1.0-1
- Version 1.0, new abuledu-leterrier package is prerequired

* Sun Nov 24 2002 Eric Seigne <erics@rycks.com> 0.9-1
- First Release
